<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        class Forma {
            constructor() {
                console.log('Soy una forma geometrica ');
            }

            gritar(){
                console.log('yep');
            }
        }

        class Cuadrado extends Forma{
            constructor(){
                super(); 
                console.log('soy un cuadrado');
            }
        }
        class Circulo extends Forma{
            constructor(){
                super();
                console.log('soy un circulo');
            }
        }
        class Triangulo extends Forma{
            constructor(){
                super();
                console.log('soy un triangulo');
            }
        }

        var c1 = new Cuadrado();
        c1.gritar();

        var t1 = new Triangulo();
        t1.gritar();
        </script>
</body>
</html>